> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# List settled transactions for paypoint

GET https://api-sandbox.payabli.com/api/Query/settlements/{entry}

Retrieve a list of settled transactions for a paypoint. Use filters to limit results. Include the `exportFormat` query parameter to return the results as a file instead of a JSON response.

Reference: https://docs.payabli.com/developers/api-reference/query/get-list-of-settled-transactions-for-an-entrypoint

## Authentication

- `Authorization` header (bearer token, required)
- `requestToken` header (required) — Long-lived API token sent in the `requestToken` header. See [API token authentication](/developers/api-tokens).

## Servers

- `https://api-sandbox.payabli.com/api` (Sandbox, default)
- `https://api.payabli.com/api` (Production)

## Request

### Path parameters

- `entry` (string, required) — The entity's entrypoint identifier. [Learn more](/developers/api-reference/api-overview#entrypoint-vs-entry)

### Query parameters

- `exportFormat` (enum, optional) — Export format for file downloads. When specified, returns data as a file instead of JSON.
  - Allowed values: `csv`, `xlsx`
- `fromRecord` (integer, optional, default: 0) — The number of records to skip before starting to collect the result set.
- `limitRecord` (integer, optional, default: 20) — Max number of records to return for the query. Use `0` or negative value to return all records.
- `parameters` (map from string to string, optional) — Collection of field names, conditions, and values used to filter the query. **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.** Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client, for example: \--url [https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000\&limitRecord=20](https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount\(gt\)=1000\&limitRecord=20) should become: \--url [https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000\&limitRecord=20](https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount\(gt\)=1000\&limitRecord=20) See [Filters and Conditions Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference) for more information. **Accepted field names:** * `settlementDate` (gt, ge, lt, le, eq, ne) * `depositDate` (gt, ge, lt, le, eq, ne) * `transId` (ne, eq, ct, nct) * `gatewayTransId` (ne, eq, ct, nct) * `method` (in, nin, eq, ne) * `settledAmount` (gt, ge, lt, le, eq, ne) * `operation` (in, nin, eq, ne) * `source` (in, nin, eq, ne) * `batchNumber` (ct, nct, eq, ne) * `payaccountLastfour` (nct, ct) * `payaccountType` (ne, eq, in, nin) * `customerFirstname` (ct, nct, eq, ne) * `customerLastname` (ct, nct, eq, ne) * `customerName` (ct, nct) * `customerId` (eq, ne) * `customerNumber` (ct, nct, eq, ne) * `customerCompanyname` (ct, nct, eq, ne) * `customerAddress` (ct, nct, eq, ne) * `customerCity` (ct, nct, eq, ne) * `customerZip` (ct, nct, eq, ne) * `customerState` (ct, nct, eq, ne) * `customerCountry` (ct, nct, eq, ne) * `customerPhone` (ct, nct, eq, ne) * `customerEmail` (ct, nct, eq, ne) * `customerShippingAddress` (ct, nct, eq, ne) * `customerShippingCity` (ct, nct, eq, ne) * `customerShippingZip` (ct, nct, eq, ne) * `customerShippingState` (ct, nct, eq, ne) * `customerShippingCountry` (ct, nct, eq, ne) * `orgId` (eq) *mandatory when entry=org* * `isHold` (eq, ne) * `paypointId` (ne, eq) * `paypointLegal` (ne, eq, ct, nct) * `paypointDba` (ne, eq, ct, nct) * `orgName` (ne, eq, ct, nct) * `batchId` (ct, nct, eq, neq) * `additional-xxx` (ne, eq, ct, nct) where xxx is the additional field name **Accepted comparison operators:** * `eq` or empty => equal * `gt` => greater than * `ge` => greater or equal * `lt` => less than * `le` => less or equal * `ne` => not equal * `ct` => contains * `nct` => not contains * `in` => inside array separated by "|" * `nin` => not inside array separated by "|" **Accepted parameters:** * `limitRecord`: max number of records for query (default="20", "0" or negative value for all) * `fromRecord`: initial record in query Example: `settledAmount(gt)=20` returns all records with a `settledAmount` greater than 20.00.
- `sortBy` (string, optional) — The field name to use for sorting results. Use `desc(field_name)` to sort descending by `field_name`, and use `asc(field_name)` to sort ascending by `field_name`.

## Response

### 200

Success

- `Records` (list of object, optional)
  - `BatchAmount` (double, optional) — The batch amount.
  - `BatchNumber` (string, optional) — A unique identifier for the batch. This is generated by Payabli when the batch is created, and follows this format: `paypointId + "_" + serviceName + "_" + batchDate:yyyyMMdd + "_" + Guid.NewGuid()`. Payabli generates the GUID to ensure that the batch number is unique. For example, in this batch number: `123_card_20251008_3f2504e0-4f89-11d3-9a0c-0305e82c3301`, the paypointID is `123`, the service is `card`, the batch date is `2025-10-08`, and the GUID is `3f2504e0-4f89-11d3-9a0c-0305e82c3301`.
  - `Category` (string, optional) — A field used internally by Payabli to categorize the transaction details. Values are: - `auth`: Any payment - `refund`: ACH return or Refund - `adj`: Adjustments - `cb`: Chargeback - `split`: Split amount
  - `CreatedAt` (datetime, optional) — Timestamp of when record was created, in UTC.
  - `Customer` (object, optional)
    - `Identifiers` (list of any, optional) — Array of field names to be used as identifiers.
    - `FirstName` (string, optional) — Customer/Payor first name.
    - `LastName` (string, optional) — Customer/Payor last name.
    - `CompanyName` (string, optional) — Customer's company name.
    - `BillingAddress1` (string, optional) — Customer's billing address.
    - `BillingAddress2` (string, optional) — Additional line for Customer's billing address.
    - `BillingCity` (string, optional) — Customer's billing city.
    - `BillingState` (string, optional) — Customer's billing state. Must be 2-letter state code for address in US.
    - `BillingZip` (string, optional) — Customer's billing ZIP code.
    - `BillingCountry` (string, optional) — Customer's billing country.
    - `BillingPhone` (string, optional) — Customer's phone number.
    - `BillingEmail` (string, optional) — Customer's email address.
    - `CustomerNumber` (string, optional) — User-provided unique identifier for the customer. This is typically the customer ID from your own system.
    - `ShippingAddress1` (string, optional) — The shipping address.
    - `ShippingAddress2` (string, optional) — Additional line for shipping address.
    - `ShippingCity` (string, optional) — Shipping city.
    - `ShippingState` (string, optional) — Shipping state or province.
    - `ShippingZip` (string, optional) — Shipping ZIP code. For Pay In functions, this field supports 5-digit and 9-digit ZIP codes and alphanumeric Canadian postal codes. For example: `37615-1234` or `37615`.
    - `ShippingCountry` (string, optional) — Shipping address country.
    - `customerId` (long, optional) — The Payabli-generated unique ID for the customer.
    - `customerStatus` (integer, optional) — Customer Status. Possible values: - `-99` Deleted - `0` Inactive - `1` Active - `85` Locked (typically due to multiple failed login attempts)
    - `AdditionalData` (map from string to string, optional) — Custom dictionary of key:value pairs. You can use this field to store any data related to the object or for your system. If you are using [custom identifiers](/developers/developer-guides/entities-customers), pass those in this object. Max length for a value is 100 characters. ```json { "additionalData": { "key1": "value1", "key2": "value2", "key3": "value3" } } ```
  - `DepositDate` (datetime, optional) — The date the funds were deposited.
  - `ExpectedDepositDate` (datetime, optional) — The date the funds are expected to be deposited.
  - `externalPaypointID` (string, optional) — A custom identifier for the paypoint, if applicable.
  - `GatewayTransId` (string, optional) — Internal identifier used for processing.
  - `Id` (integer, optional)
  - `invoiceData` (object, optional)
    - `AdditionalData` (map from string to string, optional) — Custom dictionary of key:value pairs. You can use this field to store any data related to the object or for your system. If you are using [custom identifiers](/developers/developer-guides/entities-customers), pass those in this object. Max length for a value is 100 characters. ```json { "additionalData": { "key1": "value1", "key2": "value2", "key3": "value3" } } ```
    - `attachments` (list of object, optional) — Array of `fileContent` objects with attached documents. Max upload size is 30 MB.
      - `fContent` (string, optional) — Content of file, Base64-encoded. Ignored if `furl` is specified. Max upload size is 30 MB.
      - `filename` (string, optional) — The name of the attached file.
      - `ftype` (enum, optional) — The MIME type of the file (if content is provided).
        - Allowed values: `pdf`, `doc`, `docx`, `jpg`, `jpeg`, `png`, `gif`, `txt`
      - `furl` (string, optional) — Optional URL provided to show or download the file remotely.
    - `company` (string, optional) — Company name of the recipient of the invoice.
    - `discount` (double, optional) — Discount applied to the invoice.
    - `dutyAmount` (double, optional) — Duty amount.
    - `firstName` (string, optional) — First name of the recipient of the invoice.
    - `freightAmount` (double, optional) — Freight/shipping amount.
    - `frequency` (enum, optional) — Frequency of scheduled invoice.
      - Allowed values: `onetime`, `weekly`, `every2weeks`, `every6months`, `monthly`, `every3months`, `annually`, `firstofmonth`, `fifteenthofmonth`, `endofmonth`
    - `invoiceAmount` (double, optional) — The invoice amount.
    - `invoiceDate` (date, optional) — Invoice date in any of the accepted formats: YYYY-MM-DD, MM/DD/YYYY.
    - `invoiceDueDate` (date, optional) — Invoice due date in one of the accepted formats: YYYY-MM-DD, MM/DD/YYYY.
    - `invoiceEndDate` (date, optional) — Indicate the date to finish a scheduled invoice cycle (`invoiceType`` = 1) in any of the accepted formats: YYYY-MM-DD, MM/DD/YYYY.
    - `invoiceNumber` (string, optional) — Invoice number. Identifies the invoice under a paypoint.
    - `invoiceStatus` (integer, optional) — Invoice status code.
    - `invoiceType` (integer, optional) — Invoice type. Value `0` is for single/one-time invoices, `1` for scheduled invoices.
    - `items` (list of object, optional) — Array of line items included in the invoice.
      - `itemCategories` (list of string, optional) — Array of tags classifying item or product.
      - `itemCommodityCode` (string, optional) — Item or product commodity code. Max length of 250 characters.
      - `itemCost` (double, optional) — Item or product price per unit.
      - `itemDescription` (string, optional) — Item or product description. Max length of 250 characters.
      - `itemMode` (integer, optional) — Internal class of item or product: value `0` is only for invoices, `1` for bills, and `2` is common for both. Required on invoice line items — invoice creation fails with `Invalid item data` if it's omitted.
      - `itemProductCode` (string, optional) — Item or product code. Max length of 250 characters.
      - `itemProductName` (string, optional) — Item or product name. Max length of 250 characters.
      - `itemQty` (integer, optional) — Quantity of item or product.
      - `itemTaxAmount` (double, optional) — Tax amount applied to item or product.
      - `itemTaxRate` (double, optional) — Tax rate applied to item or product.
      - `itemTotalAmount` (double, optional) — Per-line total for this item (unit cost times quantity). Distinct from the invoice's overall total, `invoiceAmount`. Required on invoice line items.
      - `itemUnitOfMeasure` (string, optional) — Unit of measurement. Max length of 100 characters.
    - `lastName` (string, optional) — Last name of the recipient of the invoice.
    - `notes` (string, optional) — Notes included in the invoice.
    - `paymentTerms` (enum, optional) — Payment terms for invoice. If no terms are defined, then response data for this field defaults to `NET30`. Mirrors the values in [`Terms`](#schema-terms).
      - Allowed values: `PIA`, `CIA`, `UR`, `NET10`, `NET20`, `NET30`, `NET45`, `NET60`, `NET90`, `EOM`, `MFI`, `5MFI`, `10MFI`, `15MFI`, `20MFI`, `2/10NET30`, `UF`, `10UF`, `20UF`, `25UF`, `50UF`
    - `purchaseOrder` (string, optional) — Purchase order number.
    - `shippingAddress1` (string, optional) — The shipping address.
    - `shippingAddress2` (string, optional) — Additional line for shipping address.
    - `shippingCity` (string, optional) — Shipping city.
    - `shippingCountry` (string, optional) — Shipping address country.
    - `shippingEmail` (string, optional) — Shipping recipient's contact email address.
    - `shippingFromZip` (string, optional) — Sender shipping ZIP code.
    - `shippingPhone` (string, optional) — Recipient phone number.
    - `shippingState` (string, optional) — Shipping state or province.
    - `shippingZip` (string, optional) — Shipping ZIP code. For Pay In functions, this field supports 5-digit and 9-digit ZIP codes and alphanumeric Canadian postal codes. For example: `37615-1234` or `37615`.
    - `summaryCommodityCode` (string, optional) — Commodity code.
    - `tax` (double, optional) — Tax rate in percent applied to the invoice.
    - `termsConditions` (string, optional) — Custom terms and conditions included in the invoice.
  - `isHold` (integer, optional) — Describes whether the transaction is being held or not. 1 - Transaction is held 0 - Transaction isn't being held
  - `MaskedAccount` (string, optional) — Masked card or bank account used in transaction. In the case of Apple Pay, this is a masked DPAN (device primary account number).
  - `Method` (string, optional) — The payment method.
  - `NetAmount` (double, optional) — Net amount paid.
  - `Operation` (string, optional) — The operation performed.
  - `OrderId` (string, optional) — Custom identifier for the transaction.
  - `ParentOrgName` (string, optional) — The name of the parent organization.
  - `PaymentData` (object, optional)
    - `AccountExp` (string, optional) — Expiration date of card used in transaction.
    - `accountId` (string, optional) — Custom identifier for payment connector.
    - `AccountType` (string, optional) — Bank account type or card brand.
    - `AccountZip` (string, optional) — ZIP code for card used in transaction.
    - `binData` (object, optional) — Object containing information related to the card. This object is `null` unless the payment method is card. If the payment method is Apple Pay, the binData will be related to the DPAN (device primary account number), not the card connected to Apple Pay.
      - `binMatchedLength` (string, optional) — The number of characters from the beginning of the card number that were matched against a Bank Identification Number (BIN) or the Card Range table.
      - `binCardBrand` (string, optional) — The card brand. For example, Visa, Mastercard, American Express, Discover.
      - `binCardType` (string, optional) — The type of card: `Credit` or `Debit`. Case can vary between processors, so compare this value case-insensitively.
      - `binCardCategory` (string, optional) — The category of the card, which indicates the card product. For example: Standard, Gold, Platinum, etc. The binCardCategory for prepaid cards is marked `PREPAID`.
      - `binCardIssuer` (string, optional) — The name of the financial institution that issued the card.
      - `binCardIssuerCountry` (string, optional) — The issuing financial institution's country name.
      - `binCardIssuerCountryCodeA2` (string, optional) — The issuing financial institution's two-character ISO country code. See [this resource](https://www.iso.org/obp/ui/#search) for a list of codes.
      - `binCardIssuerCountryNumber` (string, optional) — The issuing financial institution's ISO standard numeric country code. See [this resource](https://www.iso.org/obp/ui/#search) for a list of codes.
      - `binCardIsRegulated` (string, optional) — Indicates whether the card is regulated.
      - `binCardUseCategory` (string, optional) — The use category classification for the card.
      - `binCardIssuerCountryCodeA3` (string, optional) — The issuing financial institution's three-character ISO country code. See [this resource](https://www.iso.org/obp/ui/#search) for a list of codes.
    - `HolderName` (string, optional) — The cardholder name.
    - `Initiator` (string, optional) — The transaction's initiator. Indicates who initiated the transaction.
    - `MaskedAccount` (string, optional) — Masked card or bank account used in transaction. In the case of Apple Pay, this is a masked DPAN (device primary account number).
    - `orderDescription` (string, optional) — Text description of the transaction.
    - `paymentDetails` (object, optional) — Details about the payment.
      - `totalAmount` (double, required) — Total amount to be charged. If a service fee is sent, then this amount should include the service fee."
      - `categories` (list of object, optional) — Array of payment categories/line items describing the amount to be paid. **Note**: These categories are for information only and aren't validated against the total amount provided.
        - `amount` (double, required) — Price/cost per unit of item or category.
        - `label` (string, required) — Name of item or category.
        - `description` (string, optional) — Description of item or category
        - `qty` (integer, optional, default: 1) — Quantity of item or category
      - `checkImage` (map from string to any, optional) — Object containing image of paper check.
      - `checkNumber` (string, optional) — A check number to be used in the ach transaction. **Required** for payment method = 'check'.
      - `currency` (string, optional) — The currency for the transaction, `USD` or `CAD`. If your paypoint is configured for CAD, you must send the `CAD` value in this field, otherwise it defaults to USD, which will cause the transaction to fail.
      - `serviceFee` (double, optional) — Service fee to be deducted from the total amount. This amount must be a number, percentages aren't accepted. If you are using a percentage-based fee schedule, you must calculate the value manually.
      - `splitFunding` (list of object, optional) — Split funding instructions for the transaction. See [Split a Transaction](/guides/pay-in-developer-routing-split-funds) for more.
        - `accountId` (string, optional) — The accountId for the account the split should be sent to.
        - `amount` (double, optional) — Amount from the transaction to send to this recipient.
        - `description` (string, optional) — A description for the split.
        - `recipientEntryPoint` (string, optional) — The entrypoint the split should be sent to.
      - `checkUniqueId` (string, optional) — Unique identifier for a processed check image. Required for RDC (Remote Deposit Capture) transactions where `achCode` is `BOC`. Use the `id` value from the [check processing](/developers/api-reference/moneyin/check-capture) response.
    - `Sequence` (string, optional) — The order of the transaction for cardholder-initiated transaction (CIT) and merchant-initiated transaction (MIT) purposes. This field is automatically detected and populated by Payabli. Available values: - `first`: The first use of the payment method. This is almost always a cardholder-initiated transaction. - `subsequent`: For merchant-initiated transactions after the first use of the payment method. See [Understanding CIT and MIT Indicators](/guides/pay-in-transactions-cit-mit-overview) for more information.
    - `SignatureData` (string, optional)
    - `StoredId` (string, optional) — Identifier of stored payment method used in transaction.
    - `StoredMethodUsageType` (string, optional) — **Strongly recommended.** The usage type for the stored method, used for merchant-initiated transactions (MIT). If you don't specify a value, Payabli defaults to `unscheduled`. Available values: - `unscheduled`: One-time or otherwise not pre-scheduled. - `subscription`: Subscription payments. For example, monthly rental fees or ongoing service subscriptions. - `recurring`: Recurring payments per a set plan. For example, splitting an HOA special assessment over 6 monthly payments. See [Understanding CIT and MIT Indicators](/guides/pay-in-transactions-cit-mit-overview) for more information.
  - `PaymentTransId` (string, optional) — The transaction ID for the payment.
  - `PaymentTransStatus` (integer, optional) — Status of transaction. See [the docs](/developers/references/money-in-statuses#money-in-transaction-status) for a full reference.
  - `PaypointDbaname` (string, optional) — Paypoint DBA name.
  - `PaypointEntryname` (string, optional) — Paypoint entryname.
  - `PaypointLegalname` (string, optional) — Paypoint legal name.
  - `ResponseData` (object, optional) — The transaction's response data.
    - `authcode` (string, optional) — Authorization code for the transaction.
    - `avsresponse` (string, optional) — Text code describing the result for address validation (applies only for card transactions).
    - `avsresponse_text` (string, optional) — Text code describing the result for address validation (applies only for card transactions).
    - `cvvresponse` (string, optional) — Text code describing the result for CVV validation (applies only for card transactions).
    - `cvvresponse_text` (string, optional) — Text code describing the result for CVV validation (applies only for card transactions).
    - `emv_auth_response_data` (string, optional) — EMV authorization response data, applicable for card transactions.
    - `orderid` (string, optional) — Custom identifier for the transaction.
    - `response` (string, optional) — Response text for operation: 'Success' or 'Declined'.
    - `response_code` (string, optional) — Internal result code processing the transaction. Value 1 indicates successful operation, values 2 and 3 indicate errors.
    - `response_code_text` (string, optional) — Text describing the result. If resultCode = 1, will return 'Approved' or a general success message. If resultCode = 2 or 3, will contain the cause of the decline.
    - `responsetext` (string, optional) — Text describing the result. If resultCode = 1, will return 'Approved' or a general success message. If resultCode = 2 or 3, will contain the cause of the decline.
    - `resultCode` (string, optional) — Unified result code for the transaction. See [Pay In unified response codes](/guides/pay-in-unified-response-codes-reference) for more information.
    - `resultCodeText` (string, optional) — Description of the result code. See [Pay In unified response codes](/guides/pay-in-unified-response-codes-reference) for more information.
    - `transactionid` (string, optional) — The transaction identifier in Payabli.
    - `type` (string, optional) — Type of transaction or operation.
  - `ScheduleReference` (integer, optional) — Reference to the subscription originating the transaction.
  - `SettledAmount` (double, optional) — The transaction amount.
  - `SettlementDate` (datetime, optional) — The date and time when the transaction was settled. This field is null when the transaction's `SettlementStatus` is -1, -5, or -6 (Exception, Held, or Released).
  - `Source` (string, optional) — Custom identifier to indicate the transaction or request source.
  - `splitFundingInstructions` (list of object, optional, nullable) — Split funding instructions for the settled transaction, each enriched with the batch and transfer that paid out the split. Null when the transaction has no splits.
    - `recipientEntryPoint` (string, optional) — The entrypoint the split was sent to.
    - `AccountId` (string, optional) — The account the split was sent to.
    - `Description` (string, optional) — A description for the split.
    - `Amount` (double, optional) — The amount of the transaction sent to this recipient as a split.
    - `batchNumber` (string, optional, nullable) — The batch number the split was paid out in. Null when the batch isn't available.
    - `transferId` (long, optional, nullable) — Identifier of the transfer that carried the split. Null when the transfer isn't available.
    - `transferAmount` (double, optional) — The total amount of the transfer that carried this split.
  - `Status` (integer, optional) — Settlement status for transaction. See [the docs](/developers/references/money-in-statuses#payment-funding-status) for a full reference.
  - `TransactionEvents` (list of object, optional) — Events associated with this transaction.
    - `TransEvent` (string, optional) — Event descriptor. See [TransEvent Reference](/guides/pay-in-transevents-reference) for more details.
    - `EventData` (map from string to any or string, optional) — Any data associated to the event received from processor. Contents vary by event type.
    - `EventTime` (datetime, optional) — Date and time of event.
  - `TransactionTime` (datetime, optional) — Timestamp when transaction was submitted, in UTC.
  - `TransMethod` (string, optional) — The payment method used for the transaction, for example card, ach, or device.
  - `Type` (string, optional) — The transaction type: credit or debit.
- `Summary` (object, optional)
  - `heldAmount` (double, optional) — Funds being held for fraud or risk concerns.
  - `pageidentifier` (string, optional) — Auxiliary validation used internally by payment pages and components.
  - `pageSize` (integer, optional) — Number of records per page.
  - `refunds` (double, optional) — Total refunds deducted from the transfer.
  - `serviceFees` (double, optional) — Service fees are any pass-through fees charged to the customer at the time of payment. These aren't transferred to the merchant when the batch is transferred and funded.
  - `totalAmount` (double, optional) — The total sum of the settlements in the response.
  - `totalNetAmount` (double, optional) — The total sum of the settlements in the response.
  - `totalPages` (integer, optional) — Number of pages in the response.
  - `totalRecords` (integer, optional) — Number of records in the response.
  - `transferAmount` (double, optional) — The transfer amount is the net batch amount plus or minus any returns, refunds, billing and fees items, chargebacks, adjustments, and third party payments. This is the amount from the batch that's transferred to the merchant bank account.

## Examples

**Response**

```json
{
  "Records": [
    {
      "BatchAmount": 32,
      "BatchNumber": "batch-100-20-2024",
      "Category": "auth",
      "CreatedAt": "2024-11-19T15:58:01Z",
      "Customer": {
        "FirstName": "Lydia",
        "LastName": "Marshall",
        "BillingAddress1": "100 Golden Ridge Drive",
        "BillingAddress2": "STE 100",
        "BillingCity": "Mendota",
        "BillingState": "VA",
        "BillingZip": "20147",
        "BillingCountry": "US",
        "BillingPhone": "+12345678",
        "BillingEmail": "lydia@example.com",
        "CustomerNumber": "C-90010",
        "customerId": 4440,
        "customerStatus": 1,
        "AdditionalData": null
      },
      "ExpectedDepositDate": "2024-11-22T00:00:00Z",
      "GatewayTransId": "TRN_XXXXX",
      "Id": 25048,
      "isHold": 0,
      "MaskedAccount": "1XXXXXX5678",
      "Method": "ach",
      "NetAmount": 2,
      "Operation": "Sale",
      "OrderId": "",
      "ParentOrgName": "Pilgrim Planner",
      "PaymentData": {
        "AccountType": "Checking",
        "HolderName": "Lydia Marshall",
        "MaskedAccount": "1XXXXXX5678",
        "paymentDetails": {
          "totalAmount": 2,
          "categories": [
            {
              "amount": 1000,
              "label": "Deposit"
            }
          ],
          "currency": "USD",
          "serviceFee": 0,
          "splitFunding": [
            {}
          ]
        }
      },
      "PaymentTransId": "245-9e4072eef77e45979ea0e49f680000X",
      "PaymentTransStatus": 1,
      "PaypointDbaname": "Gruzya Adventure Outfitters, LLC",
      "PaypointEntryname": "7f1a3816XX",
      "PaypointLegalname": "Gruzya Adventure Outfitters, LLC",
      "ResponseData": {
        "authcode": " ",
        "avsresponse": " ",
        "avsresponse_text": "",
        "cvvresponse": " ",
        "cvvresponse_text": " ",
        "emv_auth_response_data": " ",
        "orderid": null,
        "response": "Success",
        "response_code": "100",
        "response_code_text": "Transaction was approved.",
        "responsetext": "CAPTURED",
        "resultCode": "A0000",
        "resultCodeText": "Approved",
        "transactionid": "TRN_xwCAjQorWAYX1nAhAoHZVfN8iYHbI0"
      },
      "ScheduleReference": 0,
      "SettledAmount": 0.5,
      "SettlementDate": "2024-11-20T00:00:00Z",
      "Source": "api",
      "Status": 1,
      "TransactionEvents": [
        {
          "TransEvent": "Created",
          "EventTime": "2024-11-19T15:57:40Z"
        },
        {
          "TransEvent": "Approved",
          "EventData": {
            "account_id": "TRA_XXXXX",
            "account_name": "123456",
            "action": {
              "app_id": "XXXXX",
              "app_name": "PayAbli",
              "id": "ACT_XXXXX",
              "result_code": "SUCCESS",
              "time_created": "2024-11-19T20:58:01.583Z",
              "type": "AUTHORIZE"
            },
            "amount": "200",
            "batch_id": "",
            "capture_mode": "AUTO",
            "channel": "CNP",
            "country": "US",
            "currency": "USD",
            "fees": {
              "amount": "0",
              "rate": "0.00",
              "total_amount": "0"
            },
            "id": "TRN_XXXXX",
            "merchant_amount": "200",
            "merchant_id": "MER_XXXXX",
            "merchant_name": "Henriette97",
            "order": {
              "reference": ""
            },
            "payment_method": {
              "bank_transfer": {
                "account_type": "CHECKING",
                "bank": {
                  "name": ""
                },
                "masked_account_number_last4": "XXXX5678"
              },
              "entry_mode": "ECOM",
              "message": "Success",
              "narrative": "Lydia Marshall",
              "result": "00"
            },
            "reference": "245-XXXXX",
            "status": "CAPTURED",
            "time_created": "2024-11-19T20:58:01.583Z",
            "type": "SALE"
          },
          "EventTime": "2024-11-19T20:58:01Z"
        },
        {
          "TransEvent": "ClosedBatch",
          "EventTime": "2024-11-20T03:05:10Z"
        }
      ],
      "TransactionTime": "2024-11-19T15:58:01Z",
      "TransMethod": "ach",
      "Type": "credit"
    }
  ],
  "Summary": {
    "heldAmount": 3.7,
    "pageSize": 0,
    "refunds": -3521.85,
    "serviceFees": 852.48,
    "totalAmount": 61645.74,
    "totalNetAmount": 61645.74,
    "totalPages": 21872,
    "totalRecords": 21872,
    "transferAmount": 0
  }
}
```

**SDK Code**

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        clientId: "YOUR_CLIENT_ID",
        clientSecret: "YOUR_CLIENT_SECRET",
    });
    await client.query.listSettlements("8cfec329267", {
        fromRecord: 251,
        limitRecord: 0,
        sortBy: "desc(field_name)",
    });
}
main();

```

```python
from payabli import payabli

client = payabli(
    client_id="YOUR_CLIENT_ID",
    client_secret="YOUR_CLIENT_SECRET",
)

client.query.list_settlements(
    entry="8cfec329267",
    from_record=251,
    limit_record=0,
    sort_by="desc(field_name)",
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliApiClient;
import io.github.payabli.api.resources.query.requests.ListSettlementsRequest;

public class Example {
    public static void main(String[] args) {
        PayabliApiClient client = PayabliApiClient.withCredentials("YOUR_CLIENT_ID", "YOUR_CLIENT_SECRET")
            .build()
        ;

        client.query().listSettlements(
            "8cfec329267",
            ListSettlementsRequest
                .builder()
                .fromRecord(251)
                .limitRecord(0)
                .sortBy("desc(field_name)")
                .build()
        );
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.query.list_settlements(
  entry: "8cfec329267",
  from_record: 251,
  limit_record: 0,
  sort_by: "desc(field_name)"
)

```

```csharp
using PayabliApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new PayabliApiClient(
            clientId: "YOUR_CLIENT_ID",
            clientSecret: "YOUR_CLIENT_SECRET"
        );

        await client.Query.ListSettlementsAsync(
            entry: "8cfec329267",
            request: new ListSettlementsRequest {
                FromRecord = 251,
                LimitRecord = 0,
                SortBy = "desc(field_name)"
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    payabli "github.com/payabli/sdk-go"
    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithClientCredentials(
            "YOUR_CLIENT_ID",
            "YOUR_CLIENT_SECRET",
        ),
    )
    request := &payabli.ListSettlementsRequest{
        FromRecord: payabli.Int(
            251,
        ),
        LimitRecord: payabli.Int(
            0,
        ),
        SortBy: payabli.String(
            "desc(field_name)",
        ),
    }
    client.Query.ListSettlements(
        context.TODO(),
        "8cfec329267",
        request,
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;
use Payabli\Query\Requests\ListSettlementsRequest;

$client = new PayabliClient(
    clientId: 'YOUR_CLIENT_ID',
    clientSecret: 'YOUR_CLIENT_SECRET',
);
$client->query->listSettlements(
    '8cfec329267',
    new ListSettlementsRequest([
        'fromRecord' => 251,
        'limitRecord' => 0,
        'sortBy' => 'desc(field_name)',
    ]),
);

```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Query/settlements/8cfec329267?fromRecord=251&limitRecord=0&sortBy=desc%28field_name%29")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```